

<!--
**  $Id: troubleshooting.html 4366 2010-08-03 18:21:39Z edmanm $
** 
**  This file is part of Vidalia, and is subject to the license terms in the
**  LICENSE file, found in the top level directory of this distribution. If 
**  you did not receive the LICENSE file with this file, you may obtain it
**  from the Vidalia source package distributed by the Vidalia Project at
**  http://www.vidalia-project.net/. No part of Vidalia, including this file,
**  may be copied, modified, propagated, or distributed except according to
**  the terms described in the LICENSE file.
-->
<html>
<body>

<h1>عیب زدایی</h1>
<hr />

لیستی که در زیر می آید مشکلات یا سوالاتی است که به طور معمول کسانی که از Tor
استفاده می کنند، با آن مواجه اند. اگر هیچ موردی مربوط به مشکل خاصی که شما
دارید پیدا نکردید، برای اطلاعات بیشتر به وبسایت ما در
<i>www.vidalia-project.net</i> مراجعه کنید.
<h3>نمی توانم Tor را فعال کنم</h3>
<p>
یکی از معمول ترین دلایلی که  باعث می شود Vidalia نتواند Tor را فعال کند این
است که در دایرکتوری اشتباه به دنبال نصب Tor می گردد. با به روز کردن گزینه
<i>Tor Executable</i> در <a href="config.html#general"> محیط تنظیمات عمومی،
می توانید محل Tor را به Vidalia بگویید.
</p>
<p>
یک دلیل دیگر فعال نشدن Tor می تواند این باشد که پروسه دیگری از Tor مشغول کار
است. لیست پروسه های در حال کار را چک کنید و پروسه پیشین Tor را، اگر بود،
متوقف کنید. سپس دوباره سعی کنید Tor  را فعال کنید.
</p>
<p>
اگر این نیز کارگر نبود، پیام ورود <a href="log.html"> را چک کنید ببینید آیا
Tor هیچ اطلاعاتی در مورد خطایی که در زمان شروع با آن مواجه شده، ثبت کرده یا
نه
</p>

<یک نام="اتصال"/>
<h3>Vidalia نمی تواند به Tor وصل شود</h3>
<p>
 Vidalia هدایت Tor را از طریق ارتباط گیری با آن به وسیله (درگاه کنترل)
<i>control port</i> انجام می دهد. 
</p>
<p>
یکی از معمول ترین دلایلی که مانع اتصال Tor می شود این است که Tor شروع به کار
کرده اما در همان زمان با خطایی مواجه شده و بلافاصله برگشت کرده است. باید
پیام ورود به سیستم <a href="log.html"> را چک کنید ببینید آیا Tor گزارشی از
خطای همزمان با شروع کار خود ثبت کرده یا نه.
</p>
<p>
اگر Tor در درگاهی به جز آن که Vidalia گمان می کند، شنود می کند، Vidalia قادر
به اتصال به Tor نخواهد بود. هر چند به ندرت ناچار به تغییر تنظیمات این محیط
خواهید شد اما اگر سرویس دیگری در دستگاه شما فعال باشد که با درگاه کنترل Tor
تصادم داشته باشد، می بایست درگاه دیگری را تعیین کنید. محیط را در تنظیمات
پیشرفته محیط <a href="config.html#advanced"> در Vidaliaمی توانید تغییر دهید.
</p>

<یک نام="کلمه عبور"/>
<h3>چرا Vidalia از من "کلمه عبور" می خواهد؟</h3>
<p>
Vidalia با نرم افزار Tor از طریق درگاه کنترل Tor ارتباط می گیرد. درگاه کنترل
به Vidalia امکان می دهد که به روزرسانی های وضعیت را از Tor دریافت کند،
درخواست آی دی تازه بکند، محیط Tor را تشخیص بدهد، و غیره. هر بار که Vidalia
از نو Tor را راه اندازی می کند، یک کلمه عبور تصادفی برای درگاه کنترل Tor
تعیین می کند تا از اتصال اپلیکشین های دیگر به درگاه کنترل و لو رفتن هویت شما
جلوگیری شود.
</p>

<p>
معمولن پروسه تولید و تعیین یک کلمه عبور برای کنترل، در پس زمینه اتفاق می
افتد، اما سه موقعیت مشابه موجود است که در آن ممکن است Vidalia از شما طلب
کلمه عبور کند.
</p>

<ul>
  <li>
    هم اکنون Vidalia و Tor را فعال کرده اید. برای مثال، اگر کل بسته Vidalia را
نصب کرده باشید و بخواهید بسته مرورگر Tor را فعال کنید، این موقعیت ممکن است
پیش بیاید. در این صورت، پیش از فعال کردن این یکی، باید Vidalia و Tor قدیمی
را ببندید.  
  </li>

  <li>
    <p>Vidalia تصادم (crash)  می کند اما همچنان به Tor از طریق آخرین کلمه عبور
اتفاقی امکان کار می دهد. بعد از ری استارت Vidalia به شما یک کلمه عبور دیگر
ارائه می کند اما در ان صورت دیگر Vidalia نمی تواند با Tor مکالمه کند زیرا
کلمه عبور تازه شان با هم متفاوت است. </p>
    
    <p>اگر مکالمه ای که از شما طلب کلمه عبور می کند کلید <i>Reset</i> دارد، روی آن
کلیک کنید. Vidalia با یک کلمه عبور تصادفی دیگر Tor را فعال خواهد کرد. 
    </p>
    
    <p>اگر کلید <i>Reset</i> را نمی یابید، و یا اگر Vidalia قادر به ری-استارت Tor
نیست، می توانید مشکل را به صورت دستی حل کنید. کافی است روی بخش مدیریت پروسه
و مدیریت تکلیف کلیک کنید و پروسه Tor را قطع کنید. پس از آن برای ری-استارت
Tor از Vidaila استفاده کنید و همه اپلیکشن ها دوباره بکار می افتند. </p>
  </li>

  <li>
    <p>پیش از این Tor را فعال کرده بودید تا به عنوان سرویس فعال باشد. اگر Tor به
عنوان سرویس، فعال باشد، با راه-اندازی سیستم شروع به کار می کند. اگر Tor را
تنظیم کرده باشید تا به عنوان سرویس، و از طریق Vidaila آغاز کند، کلمه عبوری
هم برایش معین شده و در Tor سیو شده است. در هنگام راه-اندازی مجدد، Tor با
استفاده از کلمه عبور تصادفی که سیو کرده است، شروع به کار می کند. شما وارد
سیستم می شوید و Vidalia را فعال می کنید. Vidalia سعی می کند با Tor که از قبل
فعال بوده وارد مکالمه شود. Vidalia یک کلمه عبور تصادفی تولید می کند، اما این
کلمه عبور با کلمه عبوری که در Tor سیو شده، متفاوت است.</p>
  
    <p>شما می بایست Tor را طوری تنظیم کنید که سرویس نباشد. به صفحه wiki Tor در فعال
ساختن Tor به عنوان سرویس در <a
href="https://wiki.torproject.org/noreply/TheOnionRouter/TorFAQ#WinNTService">
مراجعه کنید تا اطلاعات بیشتر در مورد خارج کردن Tor از وضعیت سرویس به دست
آورید. </p>
  </li>
</ul>


<یک اسم="Torخارج شد"/> 
<h3>Tor ناگهان از سرویس خارج شد</h3> 
<p> 
اگر Tor بلافاصله بعد از تلاش برای استارت خارج شود، به احتمال قوی شما یک Tor
دیگر از قبل دارید که فعال است. پیام <a href="log.html">message log</a> را چک
کنید ببینید آیا هیچیک از پیام های لیست با رنگ زرد مشخص شده اند و پیامی شبیه
به پیام زیر دارند یا نه:
</p>
<pre>
ارتباط-ایجاد-شنونده(): امکان اتصال به 127.0.0.1:9050 نبود: آدرس پیشاپیش مورد استفاده بوده است. آیا Tor در حال حاضر فعال است؟</pre>
<p>
گر به پیام خطا، مشابه پیام بالا برخوردید، می بایست پروسه Torهای دیگر را اپیش
از آن که یک پروسه تازه همراه با Vidalia شروع کنید، قطع کنید. در ویندوز،
<i>tor.exe</i> را در بخش مدیریت تکلیف (task manager) پیدا کنید. در اکثر
سیستم های عامل دیگر، فرمان<i>ps</i> می تواند به یافتن دیگر پروسه های Tor کمک
کند. 
</p>
<p>
اگر Tor برای مدتی به طور موفقیت آمیز فعال بوده، (یعنی بیشتر از چند ثانیه)،
می بایست بخش ذخیره پیام <a href="log.html">message log</a> را برای اطلاعات
مربوط به هر نوع خطایی که Tor قبل از خروج به آن برخورده، چک کنید. این خطاها
با رنگ زرد و یا قرمز مشخص شده اند.
</p>

<یک اسم="توقف"/>
<h3>Vidalia قادر نیست Tor را متوقف کند</h3>
<p>
اگر Vidalia نتواند Tor را متوقف کند، می بایست مخزن پیام خود در <a
href="log.html">message log</a> چک کنید و ببینید آیا Tor پیام خطایی قبل از
تلاش برای خروج ارسال کرده است یا نه.
</p>

</body>
</html>

